const system=require("../../system");
const ServiceBase=require("../sve.base");
class cwxsigninfoService extends ServiceBase{
  constructor(){
     super(ServiceBase.getDaoName(cwxsigninfoService));
  }

    /**
     * fn:保存签约信息
     * @param params
     * @returns {Promise<void>}
     */
  async save(params){
      try {
          let properties = {};
          properties.api_id=this.trim(params.api_id) || "";
          properties.openId=this.trim(params.openId) || "";
          properties.id_name=this.trim(params.id_name) || "";
          properties.id_no=this.trim(params.id_no) || "";
          properties.mobile=this.trim(params.mobile) || "";
          properties.bank_no=this.trim(params.bank_no) || "";
          properties.contract_id=this.trim(params.contract_id) || "";
          let res = await this.dao.creat(properties);
          return system.getResult(res);
      }catch (e) {
          console.log(e);
          system.getResult(null, `系统错误`);
      }
  }



}
module.exports=cwxsigninfoService;
